Subject: emacs-orderless 1.0 shows as 0.8 due to incorrect value in package file
From: Piotr Kwieciński <[email-masked]>
To: [email-masked]
Date: Thu, 10 Aug 2023 22:18:57 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I have the latest version of emacs-orderless installed on using guix and it
shows:

 Status: External in
‘/gnu/store/mp2ckcr7psy9myby262zqii36cd49yja-emacs-orderless-1.0/share/emacs/site-lisp/orderless-1.0/’
(unsigned).
Version: 0.8
Summary: Completion style for matching regexps in any order

This is caused by an incorrect version of a package declared in
orderless.el.

I'm new to the ecosystem and I'm not familiar with the process of fixing
this.
The issue was fixed by the package maintainer in commit
https://github.com/oantolin/orderless/commit/847694e78c12d903d5e3f6cb365a5d3b984db537

Would replacing commit in the package definition be enough ? Swapping
004cee6b8e01f8eb0cb1c683d0a637b14890600f with
847694e78c12d903d5e3f6cb365a5d3b984db537

(define-public emacs-orderless
  (let ((commit "004cee6b8e01f8eb0cb1c683d0a637b14890600f"))
    (package
      (name "emacs-orderless")
      (version "1.0")
      (source
       (origin
         (method git-fetch)
         (uri (git-reference
               (url "https://github.com/oantolin/orderless")
               (commit commit)))
         (sha256
          (base32 "115bwqi2yc44bgvcl7lha8p2s6jgh5hksn4wa9s0kpfxhi14jwmy"))
         (file-name (git-file-name name version))))
      (build-system emacs-build-system)
      (arguments
       (list
        #:phases
        #~(modify-phases %standard-phases
            (add-after 'install 'makeinfo
              (lambda _
                (invoke "makeinfo" "orderless.texi")
                (install-file "orderless.info"
                              (string-append #$output "/share/info")))))))
      (native-inputs
       (list texinfo))
      (home-page "https://github.com/oantolin/orderless")
      (synopsis "Emacs completion style that matches multiple regexps in
any order")
      (description "This package provides an orderless completion style that
divides the pattern into space-separated components, and matches candidates
that match all of the components in any order.  Each component can match in
any one of several ways: literally, as a regexp, as an initialism, in the
flex
style, or as multiple word prefixes.")
      (license license:gpl3+))))

-- 
Regards
Piotr Kwiecinski